# DPD Germany from ShipStation

DPD Germany from ShipStation offers domestic and international shipping services for Germany-based ShipStation accounts shipping from Germany.

This guide provides developers with the details needed to build DPD Germany shipping capabilities into your ShipStation V2 API workflows.

## Requirements

`carrier_code`: `dpd_germany`

## Rates

DPD Germany from ShipStation supports rate shopping with ShipStation V2 API using the [POST /v2/rates](/apis/openapi#tag/Rates/operation/calculate_rates) endpoint.

## Service Details

Available DPD Germany services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [GET /v2/carriers/:carrier_id/services](/apis/openapi#tag/Carriers/operation/list_carrier_services) endpoint at any time.

### Domestic Services

| Service | API Code |
|  --- | --- |
| DPD CLASSIC | `dpd_classic` |
| DPD CLASSIC SMALL PARCEL | `dpd_classic_small_parcel` |
| DPD PAKETSHOP XS PAKET | `dpd_paketshop_xs_paket` |
| DPD PAKETSHOP S PAKET | `dpd_paketshop_s_paket` |
| DPD PAKETSHOP M PAKET | `dpd_paketshop_m_paket` |
| DPD PAKETSHOP L PAKET | `dpd_paketshop_l_paket` |
| DPD PAKETSHOP XL PAKET | `dpd_paketshop_xl_paket` |


### International Services

| Service | API Code |
|  --- | --- |
| DPD CLASSIC | `dpd_classic_international` |
| DPD CLASSIC SMALL PARCEL | `dpd_classic_small_parcel_international` |
| DPD PAKETSHOP XS PAKET | `dpd_paketshop_xs_paket_international` |
| DPD PAKETSHOP S PAKET | `dpd_paketshop_s_paket_international` |
| DPD PAKETSHOP M PAKET | `dpd_paketshop_m_paket_international` |
| DPD PAKETSHOP L PAKET | `dpd_paketshop_l_paket_international` |
| DPD PAKETSHOP XL PAKET | `dpd_paketshop_xl_paket_international` |
| (NON-EU) DPD CLASSIC | `dpd_classic_non_eu` |
| (NON-EU) DPD CLASSIC SMALL PARCEL | `dpd_classic_small_parcel_non_eu` |


### Paketshop Weight & Dimensions

| Service | Min* (cm) | Max* (cm) | Max Weight (kg) |
|  --- | --- | --- | --- |
| Paketshop XS Paket | 0 | 35 | 3 |
| Paketshop S Paket | >35 | 50 | 20 |
| Paketshop M Paket | >50 | 70 | 20 |
| Paketshop L Paket | >70 | 90 | 20 |
| Paketshop XL Paket | >90 | † | 20 |


* Min and Max are the sum of the Longest + Shortest sides (cm)

† XL Paket maximum of 300 cm for Longest side + Girth (combined dimensions)

**How to Calculate Girth and Combined Dimensions**

Girth is the sum of the two shorter sides of a parcel, multiplied by 2. For example: The girth for a parcel measuring 35 x 20 x 10 cm would be calculated as 2*(20+10). So, the girth for this parcel is 60.

Combined dimensions is the girth + the longest side. Using the above example it would be calculated as 60 (girth) + 35 (longest side) = 95 (combined dimensions).

For additional assistance with calculating the girth and combined dimensions of a parcel, see the [DPD Girth Calculator (DE)](https://www.dpd.com/de/de/versenden/gurtmass-rechner/) or [DPD Girth Calculator (EN)](https://www.dpd.com/de/en/shipping/girth-calculator/).

### Classic Surcharges

| Amount | Criteria |
|  --- | --- |
| €4.50 | Length: 120-175 cm or Width: >60 cm |
| €2.50 | Volume: >150 L |
| €33.00 | Weight: >31.5 kg or Length: >175 cm or Combined Dimensions: >300 cm |
| €55.00 | Weight: >40 kg or Length: >250 cm or Combined Dimensions: >330 cm |


### Classic Kleinpaket Maximums

| Maximum | Value |
|  --- | --- |
| Weight | 3 kg |
| Length | 50 cm |
| Width | 50 cm |
| Height | 50 cm |
| Volume | 111 L |


### Return Services

Return Labels SUPPORTED ✅ with some services.

### Adding Shipment Insurance

Adding additional shipment insurance is not supported for this carrier. DPD Germany provides included protection coverage with a maximum of €50 for loss or damage on shipments originating in Germany.

## Label Support

* Label sizes: 4"x 6"
* Label formats: PDF


### Label Reference Fields

DPD Germany from ShipStation does not support adding custom label messages.

### Multi-Package Labels

DPD Germany supports multi-package shipments using the [POST /v2/labels](/apis/openapi#tag/Labels/operation/create_label) endpoint with multiple packages in the request.

### Voiding Labels

DPD Germany from ShipStation supports voiding labels with ShipStation V2 API using the [DELETE /v2/labels/:label_id](/apis/openapi#tag/Labels/operation/void_label) endpoint. Labels can be voided within 30 days of creation, provided the shipment has not been scanned by the carrier.

### Customs Declarations

DPD Germany for ShipStation supports generation of Generic Commercial Invoice for Non-EU International shipments.

## Manifests

DPD Germany from ShipStation do not require manifesting.

## Scheduling Pickups

Pickup for Home2 Services is auto-scheduled for the next day Pick-up, but cancellation is not supported. Pick-up is requested via label creation.

## Service Points (PUDO)

DPD Germany from ShipStation supports service points PUDO (Pick-Up, Drop-Off). Drop-off and pick-up points can be found using the ShipStation V2 API.

## Tracking

DPD Germany from ShipStation supports receiving tracking updates using the [GET /v2/labels/:label_id/track](/apis/openapi#tag/Labels/operation/track_label) endpoint. Review our tracking documentation for details on tracking with the ShipStation V2 API.